One rep’s coaching detail
curl --request GET \
--url https://api.pineyard.ai/speech/people/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/speech/people/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/speech/people/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"rep": {
"repId": "<string>",
"name": "<string>",
"teamId": "<string>",
"teamName": "<string>",
"calls": 123,
"averageScore": 123,
"convertedRate": 123,
"classifiedSample": 123,
"totalDuration": 123,
"tier": "strong"
},
"weaknesses": [
{
"scorecardId": "<string>",
"criteriaId": "<string>",
"question": "<string>",
"sectionName": "<string>",
"missRate": 123,
"misses": 123,
"attempts": 123,
"workspaceLiftPoints": 123,
"opportunityScore": 123,
"examples": [
{
"speechCallId": "<string>",
"rationale": "<string>"
}
]
}
]
}Insights
One rep’s coaching detail
GET
/
speech
/
people
/
{id}
One rep’s coaching detail
curl --request GET \
--url https://api.pineyard.ai/speech/people/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/speech/people/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/speech/people/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"rep": {
"repId": "<string>",
"name": "<string>",
"teamId": "<string>",
"teamName": "<string>",
"calls": 123,
"averageScore": 123,
"convertedRate": 123,
"classifiedSample": 123,
"totalDuration": 123,
"tier": "strong"
},
"weaknesses": [
{
"scorecardId": "<string>",
"criteriaId": "<string>",
"question": "<string>",
"sectionName": "<string>",
"missRate": 123,
"misses": 123,
"attempts": 123,
"workspaceLiftPoints": 123,
"opportunityScore": 123,
"examples": [
{
"speechCallId": "<string>",
"rationale": "<string>"
}
]
}
]
}Required scope:
speech.viewAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.

